View Issue Details

IDProjectCategoryView StatusLast Update
0000561luatexfeature requestpublic2015-11-02 22:15
ReporterPaul IsambertAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.85.0 
Summary0000561: No indirect reference in user action for \pdfoutline.
DescriptionWhen using \pdfoutline user {<< dictionary >>}{title}, pdfTeX creates an indirect object and refers to it in the outline dictionary, i.e. it produces something like:

1 0 obj
<< dictionary >>
endobj

% Outline
% ...
/A 1 0 R
% ...

So you can't make an indirect reference to an object you've created yourself. It'd be better if LuaTeX did not make such an indirect reference, so that \pdfoutline user {<whatever>}{title} would produce

% Outline
% ...
/A <whatever>
% ...

and <whatever> could be either a dictionary (as is the case now) or an indirect reference. There would be no issue with compatibility. (Obviously it'd be better if pdfTeX made the change too, but it is kind of frozen, isn't it?)
TagsNo tags attached.

Activities

Hans Hagen

2011-01-18 15:10

manager   ~0000727

A better solution for then is to support

\pdfoutline useobjnum .... {title}

so that there is some more guarantee that the pdf file is constructed right. It also fits better in the current concepts.

Hans Hagen

2015-11-02 22:15

manager   ~0001500

useobjnum <number> is now supported (no flushign and checking done so the user is responsible for a valid object)

Issue History

Date Modified Username Field Change
2011-01-18 13:52 Paul Isambert New Issue
2011-01-18 15:10 Hans Hagen Note Added: 0000727
2011-02-10 10:46 Taco Status new => acknowledged
2015-11-02 22:14 Hans Hagen Assigned To => Hans Hagen
2015-11-02 22:14 Hans Hagen Status acknowledged => assigned
2015-11-02 22:15 Hans Hagen Note Added: 0001500
2015-11-02 22:15 Hans Hagen Status assigned => closed
2015-11-02 22:15 Hans Hagen Resolution open => fixed
2015-11-02 22:15 Hans Hagen Fixed in Version => 0.85.0